Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.datacache
Class QueryKeyExpirationListener

    java.lang.Object
      |
      +--kodo.datacache.QueryKeyExpirationListener

All Implemented Interfaces:
  ExpirationListener

public class QueryKeyExpirationListener
extends Object
implements ExpirationListener

Expires querys results when an included object expires from the main data cache.

Constructor Summary
`QueryKeyExpirationListener(QueryCache cache)`

Method Summary
`void` | `onExpire(ExpirationEvent event)` Notification that an object has expired from the cache.
`void` | `registerQueryKey(Object key, QueryKey qk)` Registers `qk` with `oid` so that notification of expiration of `oid` can potentially result in the query associated with `qk` being expired.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryKeyExpirationListener

    public QueryKeyExpirationListener(QueryCache cache)

Method Detail

### registerQueryKey

    public void registerQueryKey(Object key,
                                 QueryKey qk)

  Registers `qk` with `oid` so that notification of expiration of `oid` can potentially result in the query associated with `qk` being expired. This is useful because if a substantial number of objects in `qk`'s result list are not in memory, it may actually be more efficient to execute the query against the database, rather than executing one-off queries along the way.

### onExpire

    public void onExpire(ExpirationEvent event)

  Description copied from interface: `ExpirationListener`
  Notification that an object has expired from the cache.
  Specified by:
    `onExpire` in interface `ExpirationListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.